Bug 14366 - kdm не отображает $HOME/.face.icon
: kdm не отображает $HOME/.face.icon
Status: CLOSED WONTFIX
: Branch 4.0
(All bugs in Branch 4.0/kdebase-kdm)
: 4.0
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-08 21:34 by
Modified: 2014-11-05 20:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-08 21:34:31
kdm не отображает $HOME/.face.icon при их наличии, установленном FaceSource, и
отсутствии соответствующих изображений в FaceDir

# ls -lA /var/lib/kdm/faces
total 4
-rw-r--r-- 1 root root 3102 Oct 17 18:07 .default.face.icon

# ls ~ilis/.face.icon
/home/ilis/.face.icon

# grep -i face /etc/kde/share/config/kdm/kdmrc
# "AdminOnly" - from <FaceDir>/$USER.face[.icon]
# "PreferAdmin" - prefer <FaceDir>, fallback on $HOME
# "UserOnly" - from the user's $HOME/.face[.icon]
# FaceSource=PreferAdmin
# FaceSource=UserOnly
FaceSource=PreferUser
# The directory containing the user images if FaceSource is not UserOnly.
# Default is "/var/lib/kdm/faces"
FaceDir=/var/lib/kdm/faces

Если в /var/lib/kdm/faces создать user.face.icon, то они отображаются 
при нужных FaceSource

.face.icon из домашних каталогов пользователей не применяются ни при каких
FaceSource
Steps to Reproduce:
1. Создать $HOME/.face.icon , например из ЦУ KDE
2. Переключить пользователя

Actual Results:  
В списке пользователей отображаются default изображения

Expected Results:  
В списке пользователей должны отображаться изображения, установленные
пользователем
------- Comment #1 From 2008-02-11 14:39:17 -------
У меня работает по умолчанию
------- Comment #2 From 2008-02-11 15:00:48 -------
(In reply to comment #1)
> У меня работает по умолчанию

У меня не заработало сразу после установки фэйс-иконов в /home/user через 
kcontrol.

Через некоторое время вернулся к проблеме, правка конфига не помогла.
Установка иконов в /var/lib/kdm/faces с именами юзеров привела к их появлению 
в kdm.

В качестве обходного пути попробовал в /var/lib/kdm/faces сделать симлинки на 
иконки в домашние каталоги, результат -- отображаются дефолтные иконки.
------- Comment #3 From 2008-02-11 15:02:16 -------
А с правами всё нормально?
------- Comment #4 From 2008-02-11 15:05:15 -------
(In reply to comment #3)
> А с правами всё нормально?

Никаких особенных прав не делал. Напишите, плиз, все тесты, которые могут 
помочь, вечером выполню, предоставлю отчёт.
------- Comment #5 From 2008-02-11 15:12:39 -------
(In reply to comment #4)
> Никаких особенных прав не делал. Напишите, плиз, все тесты, которые могут 
> помочь, вечером выполню, предоставлю отчёт.

Торможу, kdm от рута работает, ему на права наплевать.
------- Comment #6 From 2008-02-11 15:36:38 -------
Поспешил. У свежеиспеченного пользователя не работает
------- Comment #7 From 2008-02-11 16:07:23 -------
(In reply to comment #5)
> kdm от рута работает, ему на права наплевать.
Если $HOME o+x , то показывает картинки :-(
------- Comment #8 From 2008-02-14 20:19:50 -------
> Если $HOME o+x , то показывает картинки :-(
> 

Ну это же неправильные права?

И статус вроде из WORKSFORME должен перейти в REOPENED?
------- Comment #9 From 2008-02-14 20:31:50 -------
(In reply to comment #8)

> И статус вроде из WORKSFORME должен перейти в REOPENED?

Уже, в камменте #6
------- Comment #10 From 2014-11-05 20:15:50 -------
В 4.0/branch исправления не будут вноситься уже технически (заглушена очередь
на сборку), поэтому прошу ошибки, актуальные для sisyphus/p7/t7, перевесить на
текущие ветки или сизиф.